Company Request

If the company is not found in the index, you can send a request for the company.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

If the company is not found in the search, you can send a request for a company with a POST request. Company name, address, city, country, and preferred currency are mandatory.

Currency and lang (language) are used for the return results of legal documents and reports available for your requested company.

Request
Note: The currency will be set by default according to your billing currency in the account settings!

Response
The response includes the “company request identifier” as a reference for the requested company and a map with an array of offline reports and legal documents containing the available products with the country of the requested company.

{
	"companyName": Worldbox AG"",
	"address1": "Breitackerstrasse 1",
	"city": "Zollikon",
	"countryCode": "CH",
	"currency": "EUR",
	"address2": "",
	"postalCode": "8702",
	"email": "",
	"phone": "",
	"additionalInfo": "NOTES: additional notes",
	"registerNumber": "020.3.901.907-9",
	"lang": "EN",
   "webdomain":"https://www.worldbox.net"
}
{
    "reports": [
        {
            "language": "EN",
            "date": "",
            "price": "55.00",
            "countrycode": "AT",
            "name": "Credit/Investigation report normal (offline)",
            "type": "offline",
            "currency": "EUR",
            "productid": 1,
            "productcode": "REO110",
            "format": "JSON,PDF,XML"
        },
        {
            "language": "EN",
            "date": "",
            "price": "80.00",
            "countrycode": "AT",
            "name": "Credit/Investigation report express (offline)",
            "type": "offline",
            "currency": "EUR",
            "productid": 2,
            "productcode": "REO120",
            "format": "JSON,PDF,XML"
        },
        {
            "language": "EN",
            "date": "",
            "price": "110.00",
            "countrycode": "AT",
            "name": "Credit/Investigation report superflash (Offline)",
            "type": "offline",
            "currency": "EUR",
            "productid": 452285020,
            "productcode": "REO125",
            "format": "JSON,PDF,XML"
        },
        ...
    ],
    "companyrequestid": "ff808181862aac72018674b6f14f3985",
}

🚧

Note:

You will need the companyrequestid as a reference in the order request.
e.g
"companyrequestid": "ff808181862aac72018674b6f14f3985",

Body Params
string
required

name of the company

string
required

first address line

string
required

city of residence

string
required

ISO 3166 Country Codes.

string
required

ISO 4217 Currency Codes. Only active if you have no default account currency.

string

second address line

string

postal code

string

valid email

string

phone number as string

string

any additional infoAny information accompanying the order (max. 4000 characters)

string

trade register number

string
Defaults to EN

Language of the returned reports list. Choose DE, EN or IT. Default is EN

string

The webdomain of the company like 'https://www.worldbox.net'

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json